
  
 .blogcode td pre, 
.content.text p.Programtext, .content.text pre.Programtext, .content.text pre.programtext,
.content.text p.Query, .content.text pre.Query, .content.text pre.query, 
.content.text p.Xml, .content.text pre.Xml, .content.text pre.xml,
.content.text p.Data, .content.text pre.Data, .content.text pre.data,
.content.text p.Source, .content.text p.Result
{
	font-family: "Courier New", Courier;
	font-size: 13px;
	line-height: 19px;
  color: black;
	background-color: #ffffff;
	padding: 10px;
	overflow-x: auto;
	display: block;
	border: solid 1px #aaaaff;
	white-space:pre-wrap;
  width: auto;
}

 .blogcode td.module pre, 
.content.text p.Programtext, .content.text pre.Programtext, .content.text pre.programtext 
{color: #0000cc;}
 .blogcode .module .comment,  .blogcode .module .comment span,  .blogcode .module .comment .key,  .blogcode .module .comment .operator, 
.content.text p.Programtext .comment, .content.text pre.Programtext .comment, .content.text pre.programtext .comment,
.content.text p.Programtext .comment span, .content.text pre.Programtext .comment span, .content.text pre.programtext .comment span,
.content.text p.Programtext .comment .string, .content.text pre.Programtext .comment .string, .content.text pre.programtext .comment .string,
.content.text p.Programtext .comment .key, .content.text pre.Programtext .comment .key, .content.text pre.programtext .comment .key,
.content.text p.Programtext .comment .operator, .content.text pre.Programtext .comment .operator, .content.text pre.programtext .comment .operator
{color:green}

 .blogcode .module .attribute, 
.content.text p.Programtext .attribute, .content.text pre.Programtext .attribute, .content.text pre.programtext .attribute
{color:brown}

 .blogcode .module .number, 
.content.text p.Programtext .number, .content.text pre.Programtext .number, .content.text pre.programtext .number
{color:black}

 .blogcode .module .string,  .blogcode .module .string span,  .blogcode .module .string .attribute, 
.content.text p.Programtext .string, .content.text pre.Programtext .string, .content.text pre.programtext .string,
.content.text p.Programtext .string span, .content.text pre.Programtext .string span, .content.text pre.programtext .string span,
.content.text p.Programtext .string .attribute, .content.text pre.Programtext .string .attribute, .content.text pre.programtext .string .attribute
{color:black}

 .blogcode .module .datestring,  .blogcode .module .datestring span,  .blogcode .module .datestring .attribute, 
.content.text p.Programtext .datestring, .content.text pre.Programtext .datestring, .content.text pre.programtext .datestring,
.content.text p.Programtext .datestring span, .content.text pre.Programtext .datestring span, .content.text pre.programtext .datestring span,
.content.text p.Programtext .datestring .attribute, .content.text pre.Programtext .datestring .attribute, .content.text pre.programtext .datestring .attribute
{color:magenta}

 .blogcode .module .sign, 
.content.text p.Programtext .sign, .content.text pre.Programtext .sign, .content.text pre.programtext .sign
{color:red}

 .blogcode .module .semicolon, 
.content.text p.Programtext .semicolon, .content.text pre.Programtext .semicolon, .content.text pre.programtext .semicolon
{color:red}

 .blogcode .module .key, 
.content.text p.Programtext .key, .content.text pre.Programtext .key, .content.text pre.programtext .key
{color: red}

.blogcode .module .macro, 
.content.text p.Programtext .macro, 
.content.text pre.Programtext .macro, 
.content.text pre.programtext .macro,
.blogcode .module .macro .key, 
.content.text p.Programtext .macro .key, 
.content.text pre.Programtext .macro .key, 
.content.text pre.programtext .macro .key
{color: #f9cb9c}

 .blogcode .module .operator, 
.content.text p.Programtext .operator, .content.text pre.Programtext .operator, .content.text pre.programtext .operator
{color:red}


 .blogcode td.query pre, 
.content.text p.Query, .content.text pre.Query, .content.text pre.query
{color: black;}

 .blogcode .query .comment,  .blogcode .query .comment span,  .blogcode .query .comment .key,  .blogcode .query .comment .operator, 
.content.text p.Query .comment, .content.text pre.Query .comment, .content.text pre.query .comment,
.content.text p.Query .comment span, .content.text pre.Query .comment span, .content.text pre.query .comment span
.content.text p.Query .comment .string, .content.text pre.Query .comment .string, .content.text pre.query .comment .string,
.content.text p.Query .comment .key, .content.text pre.Query .comment .key, .content.text pre.query .comment .key,
.content.text p.Query .comment .operator, .content.text pre.Query .comment .operator, .content.text pre.query .comment .operator
{color:green}

 .blogcode .query .attribute, 
.content.text p.Query .attribute, .content.text pre.Query .attribute, .content.text pre.query .attribute
{color:darkcyan}

 .blogcode .query .number, 
.content.text p.Query .number, .content.text pre.Query .number, .content.text pre.query .number
{color:magenta}

 .blogcode .query .string,  .blogcode .query .string span,  .blogcode .query .string .attribute, 
.content.text p.Query .string, .content.text pre.Query .string, .content.text pre.query .string,
.content.text p.Query .string span, .content.text pre.Query .string span, .content.text pre.query .string span,
.content.text p.Query .string .attribute, .content.text pre.Query .string .attribute, .content.text pre.query .string .attribute
{color:red}

 .blogcode .query .sign, 
.content.text p.Query .sign, .content.text pre.Query .sign, .content.text pre.query .sign
{color:blue}

 .blogcode .query .semicolon, 
.content.text p.Query .semicolon, .content.text pre.Query .semicolon, .content.text pre.query .semicolon
{color:red}

 .blogcode .query .key, 
.content.text p.Query .key, .content.text pre.Query .key, .content.text pre.query .key
{color:blue}

 .blogcode .query .operator, 
.content.text p.Query .operator, .content.text pre.Query .operator, .content.text pre.query .operator
{color:brown}


 .blogcode td.xml pre, 
.content.text p.Xml, .content.text pre.Xml, .content.text pre.xml
{color: blue;}

 .blogcode .xml .comment,  .blogcode .xml .comment span,  .blogcode .xml .comment .key,  .blogcode .xml .comment .operator, 
.content.text p.Xml .comment, .content.text pre.Xml .comment, .content.text pre.xml .comment,
.content.text p.Xml .comment span, .content.text pre.Xml .comment span, .content.text pre.xml .comment span
.content.text p.Xml .comment .string, .content.text pre.Xml .comment .string, .content.text pre.xml .comment .string,
.content.text p.Xml .comment .key, .content.text pre.Xml .comment .key, .content.text pre.xml .comment .key,
.content.text p.Xml .comment .operator, .content.text pre.Xml .comment .operator, .content.text pre.xml .comment .operator
{color:green}

 .blogcode .xml .attribute, 
.content.text p.Xml .attribute, .content.text pre.Xml .attribute, .content.text pre.xml .attribute
{color:brown}

 .blogcode .xml .number, 
.content.text p.Xml .number, .content.text pre.Xml .number, .content.text pre.xml .number
{color:black}

 .blogcode .xml .string,  .blogcode .xml .string span,  .blogcode .xml .string .attribute, 
.content.text p.Xml .string, .content.text pre.Xml .string, .content.text pre.xml .string,
.content.text p.Xml .string span, .content.text pre.Xml .string span, .content.text pre.xml .string span,
.content.text p.Xml .string .attribute, .content.text pre.Xml .string .attribute, .content.text pre.xml .string .attribute
{color:black}

 .blogcode .xml .sign, 
.content.text p.Xml .sign, .content.text pre.Xml .sign, .content.text pre.xml .sign
{color:red}

 .blogcode .xml .semicolon, 
.content.text p.Xml .semicolon, .content.text pre.Xml .semicolon, .content.text pre.xml .semicolon
{color:red}

 .blogcode .xml .key, 
.content.text p.Xml .key, .content.text pre.Xml .key, .content.text pre.xml .key
{color:blue}

 .blogcode .xml .operator, 
.content.text p.Xml .operator, .content.text pre.Xml .operator, .content.text pre.xml .operator
{color:red}


.content.text p.Programtext p, .content.text pre.Programtext p, .content.text pre.programtext p,
.content.text p.Query p, .content.text pre.Query p, .content.text pre.query p,
.content.text p.Xml p, .content.text pre.Xml p, .content.text pre.xml p,
.content.text p.Data p, .content.text pre.Data p, .content.text pre.data p
{padding: 0; margin: 0; line-height: 19px; width: auto; max-width:650px; }

 .blogcode .tab, 
.content.text p.Programtext .tab, .content.text pre.Programtext .tab, .content.text pre.programtext .tab,
.content.text p.Query .tab, .content.text pre.Query .tab, .content.text pre.query .tab,
.content.text p.Xml .tab, .content.text pre.Xml .tab, .content.text pre.xml .tab,
.content.text p.Data .tab, .content.text pre.Data .tab, .content.text pre.data .tab
{display: inline-block; width: 30px;}

 .blogcode pre, 
.content.text p.Programtext pre, .content.text pre.Programtext pre, .content.text pre.programtext pre,
.content.text p.Query pre, .content.text pre.Query pre, .content.text pre.query pre,
.content.text p.Xml pre, .content.text pre.Xml pre, .content.text pre.xml pre,
.content.text p.Data pre, .content.text pre.Data pre, .content.text pre.data pre
{ white-space: pre-nowrap; padding: 0px; margin: 0px }

 .blogcode pre
{ line-height: 12px; padding-top: 10px; padding-bottom: 10px; }
.content.text p.Programtext pre, .content.text pre.Programtext pre, .content.text pre.programtext pre,
.content.text p.Query pre, .content.text pre.Query pre, .content.text pre.query pre,
.content.text p.Xml pre, .content.text pre.Xml pre, .content.text pre.xml pre,
.content.text p.Data pre, .content.text pre.Data pre, .content.text pre.data pre
{ line-height: 24px; }

/* IE8 hacks */
@media \0screen {
	.content.text p.Programtext pre, .content.text pre.Programtext pre, .content.text pre.programtext pre,
	.content.text p.Query pre, .content.text pre.Query pre, .content.text pre.query pre,
	.content.text p.Xml pre, .content.text pre.Xml pre, .content.text pre.xml pre,
	.content.text p.Data pre, .content.text pre.Data pre, .content.text pre.data pre
	{ line-height: 24px; padding-top: 0px; }
	
	 .blogcode pre
	{ padding-top: 0px; padding-bottom: 0px; }
	
	 .blogcode pre
	{ line-height: 24px; }
	
	#article-popup-image_div_image {
		overflow: hidden;
	}
}

.blogcode p {
	margin: 0 0 0.125em 1em !important;
	line-height: 19px !important;
}

.blogcode p.empty {
    display: none;
}

.content .blogcode td, 
.content .blogcode th {
	border: none;
	padding: 0;
}

.blogcode pre {
    border: 1px solid #CCC;
    border-radius: 5px;
}

.code_inline{
	font-family: "Courier New" !important;
    color: #0000ff !important;
}